%global srcname ruamel.yaml
%global pypi_name ruamel-yaml

Name:           python-%{pypi_name}
Version:        0.18.10
Release:        %mkrel 1
Summary:        YAML 1.2 loader/dumper package for Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/ruamel.yaml
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
ruamel.yaml is a YAML 1.2 loader/dumper package for Python.
It is a derivative of Kirill Simonov’s PyYAML 3.11.

%package -n     python3-%{pypi_name}
Summary:        YAML 1.2 loader/dumper package for Python
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}
Obsoletes:      python3-%{pypi_name} < 0.18.5

%description -n python3-%{pypi_name}
ruamel.yaml is a YAML 1.2 loader/dumper package for Python.
It is a derivative of Kirill Simonov’s PyYAML 3.11.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
export RUAMEL_NO_PIP_INSTALL_CHECK=True
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ruamel

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Wed Feb 26 2025 wally <wally> 0.18.10-1.mga10
+ Revision: 2153070
- rebuild for python3.13

* Fri Dec 20 2024 daviddavid <daviddavid> 0.18.6-1.mga10
+ Revision: 2126626
- new version: 0.18.6

* Tue Dec 19 2023 wally <wally> 0.18.5-1.mga10
+ Revision: 2019303
- new version 0.18.5
- use pyproject rpm macros

* Tue Oct 04 2022 joequant <joequant> 0.17.21-3.mga9
+ Revision: 1894571
- fix requires

* Mon Oct 03 2022 joequant <joequant> 0.17.21-2.mga9
+ Revision: 1894181
- point to new rpm yaml.clib

* Sun Oct 02 2022 neoclust <neoclust> 0.17.21-1.mga9
+ Revision: 1894149
- New version 0.17.21

* Fri Mar 18 2022 umeabot <umeabot> 0.16.10-5.mga9
+ Revision: 1798995
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tv <tv> 0.16.10-4.mga9
+ Revision: 1773792
- Fix filelist for python-3.10
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 0.16.10-3.mga9
+ Revision: 1703688
- rebuild for python 3.9

* Tue Aug 25 2020 tv <tv> 0.16.10-2.mga8
+ Revision: 1618956
- fix broken deps for fonts-rpm-macros

* Mon Aug 24 2020 guillomovitch <guillomovitch> 0.16.10-1.mga8
+ Revision: 1618645
- spec cleanup
- new version 0.16.10
- obsoletes python-ruaml.yaml (duplicate)

* Thu Jun 04 2020 joequant <joequant> 0.16.6-1.mga8
+ Revision: 1590225
- imported package python-ruamel-yaml

